org.jboss.resteasy.links.impl

## Class RESTUtils

- java.lang.Object
- - org.jboss.resteasy.links.impl.RESTUtils

-     public class RESTUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RESTUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> T` | `addDiscovery(T entity, UriInfo uriInfo, ResourceMethodRegistry registry)`
    `static Map<String,? extends Object>` | `derivePathParameters(UriInfo uriInfo)`
    `static Object` | `evaluateEL(Method m, javax.el.ELContext context, Object base, String expression)`
    `static Boolean` | `evaluateELBoolean(Method m, javax.el.ELContext context, Object base, String expression)`
    `static List<Method>` | `getServiceMethods(ResourceMethodRegistry registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RESTUtils

          public RESTUtils()

  - ### Method Detail

    - #### addDiscovery

          public static <T> T addDiscovery(T entity,
                           UriInfo uriInfo,
                           ResourceMethodRegistry registry)

    - #### getServiceMethods

          public static List<Method> getServiceMethods(ResourceMethodRegistry registry)

    - #### derivePathParameters

          public static Map<String,? extends Object> derivePathParameters(UriInfo uriInfo)

    - #### evaluateEL

          public static Object evaluateEL(Method m,
                          javax.el.ELContext context,
                          Object base,
                          String expression)

    - #### evaluateELBoolean

          public static Boolean evaluateELBoolean(Method m,
                                  javax.el.ELContext context,
                                  Object base,
                                  String expression)

Copyright © 2014. All Rights Reserved.